Deployments.ai Docs
Memory

Recall memory for an active run

POST /v1/memory/active-recall · SDK activeMemoryRecall · CLI deployments memory active-recall

POST
/v1/memory/active-recall

Requires memory:execute.

Authorization

tenantJwt
headerAuthorizationBearer <token>

Tenant JWT carrying organization, project, and environment claims.

Header Parameters

x-deployments-environment?string

Optional tenant consistency assertion; when supplied, it must match the authenticated credential.

Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$
x-deployments-organization?string

Optional tenant consistency assertion; when supplied, it must match the authenticated credential.

Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$
x-deployments-project?string

Optional tenant consistency assertion; when supplied, it must match the authenticated credential.

Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$
idempotency-key?string

Limited to 500 UTF-8 bytes.

Length1 <= length <= 500

Request Body

application/json
  1. body
query*string
runId*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
topK?integer
Range1 <= value <= 45

Response Body

MemoryObjectResponse

application/json
  1. response
curl -X POST "https://example.com/v1/memory/active-recall" \  -H "Content-Type: application/json" \  -d '{    "query": "string",    "runId": "string"  }'
{}